Loading...
Searching...
No Matches
LimitStencilReal< REAL > Class Template Reference

Limit point stencil descriptor. More...

`#include <stencilTable.h>`

Inheritance diagram for LimitStencilReal< REAL >:

## Public Member Functions

| LimitStencilReal (int *size, Index *indices, REAL *weights, REAL *duWeights=0, REAL *dvWeights=0, REAL *duuWeights=0, REAL *duvWeights=0, REAL *dvvWeights=0)
| Constructor.
REAL const * | GetDuWeights () const
| Returns the u derivative weights.
REAL const * | GetDvWeights () const
| Returns the v derivative weights.
REAL const * | GetDuuWeights () const
| Returns the uu derivative weights.
REAL const * | GetDuvWeights () const
| Returns the uv derivative weights.
REAL const * | GetDvvWeights () const
| Returns the vv derivative weights.
void | Next ()
| Advance to the next stencil in the table.
Public Member Functions inherited from StencilReal< REAL >
| StencilReal ()
| Default constructor.
| StencilReal (int *size, Index *indices, REAL *weights)
| Constructor.
| StencilReal (StencilReal const &other)
| Copy constructor.
int | GetSize () const
| Returns the size of the stencil.
int * | GetSizePtr () const
| Returns the size of the stencil as a pointer.
Index const * | GetVertexIndices () const
| Returns the control vertices' indices.
REAL const * | GetWeights () const
| Returns the interpolation weights.
void | Next ()
| Advance to the next stencil in the table.

## Friends

class | StencilTableFactoryReal< REAL >
class | LimitStencilTableFactoryReal< REAL >

## Additional Inherited Members

Protected Attributes inherited from StencilReal< REAL >
int * | _size
Index * | _indices
REAL * | _weights

## Detailed Description

template<typename REAL>
class OpenSubdiv::OPENSUBDIV_VERSION::Far::LimitStencilReal< REAL >

Limit point stencil descriptor.

Definition at line 44 of file stencilTableFactory.h.

## Constructor & Destructor Documentation

## LimitStencilReal()

template<typename REAL >

LimitStencilReal | ( | int * | size,
|  | Index * | indices,
|  | REAL * | weights,
|  | REAL * | duWeights = 0,
|  | REAL * | dvWeights = 0,
|  | REAL * | duuWeights = 0,
|  | REAL * | duvWeights = 0,
|  | REAL * | dvvWeights = 0 )

inline

Constructor.

Parameters

  size | Table pointer to the size of the stencil
  indices | Table pointer to the vertex indices of the stencil
  weights | Table pointer to the vertex weights of the stencil
  duWeights | Table pointer to the 'u' derivative weights
  dvWeights | Table pointer to the 'v' derivative weights
  duuWeights | Table pointer to the 'uu' derivative weights
  duvWeights | Table pointer to the 'uv' derivative weights
  dvvWeights | Table pointer to the 'vv' derivative weights

Definition at line 324 of file stencilTable.h.

## Member Function Documentation

## GetDuuWeights()

template<typename REAL >

REAL const * GetDuuWeights | ( |  | ) | const

inline

Returns the uu derivative weights.

Definition at line 351 of file stencilTable.h.

## GetDuvWeights()

template<typename REAL >

REAL const * GetDuvWeights | ( |  | ) | const

inline

Returns the uv derivative weights.

Definition at line 356 of file stencilTable.h.

## GetDuWeights()

template<typename REAL >

REAL const * GetDuWeights | ( |  | ) | const

inline

Returns the u derivative weights.

Definition at line 341 of file stencilTable.h.

## GetDvvWeights()

template<typename REAL >

REAL const * GetDvvWeights | ( |  | ) | const

inline

Returns the vv derivative weights.

Definition at line 361 of file stencilTable.h.

## GetDvWeights()

template<typename REAL >

REAL const * GetDvWeights | ( |  | ) | const

inline

Returns the v derivative weights.

Definition at line 346 of file stencilTable.h.

## Next()

template<typename REAL >

void Next | ( |  | ) |

inline

Advance to the next stencil in the table.

Definition at line 366 of file stencilTable.h.

## Friends And Related Symbol Documentation

## LimitStencilTableFactoryReal< REAL >

template<typename REAL >

friend class LimitStencilTableFactoryReal< REAL >

friend

Definition at line 366 of file stencilTable.h.

## StencilTableFactoryReal< REAL >

template<typename REAL >

friend class StencilTableFactoryReal< REAL >

friend

Definition at line 366 of file stencilTable.h.

The documentation for this class was generated from the following files:

- opensubdiv/far/stencilTable.h
- opensubdiv/far/stencilTableFactory.h